# class SISComponentNameRecord

The name of the component in this SIS file. More...

Definition | `#include <siscomponentrecord.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SISComponentNameRecord ()
- virtual ~SISComponentNameRecord ()
- SisRC fillFrom (uint8_t* buf, int* base, off_t len, SISFile* sisFile)
- uint32_t getLastEnd ()
- uint8_t* getName (int no)

## Detailed Description

The name of the component in this SIS file. A single instance holds the names for all languages.

There is one name record for each language. First comes the lengths of all the names, as 32 bit integers. Second comes pointers to the names, as an index in the complete SISFile.

SISComponentNameRecord ()

### SISComponentNameRecord

~SISComponentNameRecord ()

### ~SISComponentNameRecord

[virtual]

SisRC fillFrom (uint8_t* buf, int* base, off_t len, SISFile* sisFile)

### fillFrom

Populate the fields.

Parameters:

buf | The buffer to read data from.
base | The index where we start reading data.
len | The length of the buffer, for range checking.
sisFile | The container sis file.

uint32_t getLastEnd ()

### getLastEnd

Find out the end position for the last name in the file.

uint8_t* getName (int no)

### getName

Return the name for the given language.

Parameters:

no | The sequence number in the list of language records in the sis file.

Generated by: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.